<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Styles
    |--------------------------------------------------------------------------
    |
    | The default styles which will be used when parsing a view
    |
    */

    'styles' => [

        /*
        |--------------------------------------------------------------------------
        | Table headings
        |--------------------------------------------------------------------------
        */
        'th'     => [
            'font' => [
                'bold' => true,
                'size' => 12,
            ]
        ],

        /*
        |--------------------------------------------------------------------------
        | Strong tags
        |--------------------------------------------------------------------------
        */
        'strong' => [
            'font' => [
                'bold' => true,
                'size' => 12,
            ]
        ],

        /*
        |--------------------------------------------------------------------------
        | Bold tags
        |--------------------------------------------------------------------------
        */
        'b'      => [
            'font' => [
                'bold' => true,
                'size' => 12,
            ]
        ],

        /*
        |--------------------------------------------------------------------------
        | Italic tags
        |--------------------------------------------------------------------------
        */
        'i'      => [
            'font' => [
                'italic' => true,
                'size'   => 12,
            ]
        ],

        /*
        |--------------------------------------------------------------------------
        | Heading 1
        |--------------------------------------------------------------------------
        */
        'h1'     => [
            'font' => [
                'bold' => true,
                'size' => 24,
            ]
        ],

        /*
        |--------------------------------------------------------------------------
        | Heading 2
        |--------------------------------------------------------------------------
        */
        'h2'     => [
            'font' => [
                'bold' => true,
                'size' => 18,
            ]
        ],

        /*
        |--------------------------------------------------------------------------
        | Heading 2
        |--------------------------------------------------------------------------
        */
        'h3'     => [
            'font' => [
                'bold' => true,
                'size' => 13.5,
            ]
        ],

        /*
         |--------------------------------------------------------------------------
         | Heading 4
         |--------------------------------------------------------------------------
         */
        'h4'     => [
            'font' => [
                'bold' => true,
                'size' => 12,
            ]
        ],

        /*
         |--------------------------------------------------------------------------
         | Heading 5
         |--------------------------------------------------------------------------
         */
        'h5'     => [
            'font' => [
                'bold' => true,
                'size' => 10,
            ]
        ],

        /*
         |--------------------------------------------------------------------------
         | Heading 6
         |--------------------------------------------------------------------------
         */
        'h6'     => [
            'font' => [
                'bold' => true,
                'size' => 7.5,
            ]
        ],

        /*
         |--------------------------------------------------------------------------
         | Hyperlinks
         |--------------------------------------------------------------------------
         */
        'a'      => [
            'font' => [
                'underline' => true,
                'color'     => ['argb' => 'FF0000FF'],
            ]
        ],

        /*
         |--------------------------------------------------------------------------
         | Horizontal rules
         |--------------------------------------------------------------------------
         */
        'hr'     => [
            'borders' => [
                'bottom' => [
                    'style' => 'thin',
                    'color' => ['FF000000']
                ],
            ]
        ]
    ]

];